.TH XMusic
.SH NAME
XMusic \- an X Window System front end for Csound
.SH SYNOPSIS
xmusic
.I [filename]
.SH DESCRIPTION
.PP
.I XMusic
is a utility running under Version 11, Release 3 of the X Window System.
Its purpose is to simplify the process of constructing of Csound orchestra files.
The user arranges icons in an X window, connecting them using the mouse and
changing attributes of the Csound functions represented by the icons in the
diagram.  When the user has created a satisfactory ``picture'' of the instrument(s),
.I XMusic
will translate the diagram's content into a compilable Csound orchestra file.
.PP
.I XMusic
may take a filename as a command line argument.  This file contains an XMusic
diagram the user has previously saved.
.PP
.I XMusic
is meant to be used in conjunction with Csound \-\- without the
Csound package, XMusic is only a nice looking toy.
.SH X DEFAULTS
This version of XMusic was written using the X Toolkit; therefore, all
of the normal Toolkit options apply.  Please see the manual pages on
other popular X Toolkit programs for details.  Such programs include
xterm(1), xmh(1), and xman(1).
.SH ENVIRONMENT
DISPLAY \- to get the default host and display number.
.SH "SEE ALSO"
.I "The Csound Reference Manual"
for information about the Csound language.
.SH COPYRIGHT
Copyright 1988, 1989, George D. Drapeau
.SH AUTHOR
George D. Drapeau
.PP
Stanford University
.br
Academic Information Resources
.br
Internet: drapeau@jessica.stanford.edu
